<template>
    <mt-popup 
      v-model="visible_" 
      v-bind="$attrs" 
      v-on="$listeners"
      :class="[isView?'view-mt-popup':'']"
    >
      <slot></slot>
    </mt-popup>
</template>
<script>
export default {
  props: ["visible","isView"],
  data: function() {
    return {};
  },
  mounted(){
    const body = document.querySelector("body"); //ios下fixed浮动定位不生效，把弹窗挂载到body下
    if (body.append) {
      body.append(this.$el);
    } else {
      body.appendChild(this.$el);
    }
  },
  computed: {
    visible_: {
      get() {
        return this.visible;
      },
      set(val) {
        this.$emit("update:visible", val);
      }
    }
  },
  methods: {
  }
};
</script>

<style>
  /* .mint-popup {
    overflow-y:auto;
  } */
</style>